Browse Teams
Endpoint
Section titled “Endpoint”GET /teams
Server: https://gamma.openfish.fun
Tags: Sports
Request Parameters
Section titled “Request Parameters”| Name | In | Type | Default | Description |
|---|---|---|---|---|
limit | query | integer | 50 | Cap on the number of items returned (upper bound: 500) |
offset | query | integer | 0 | Number of records to skip for pagination |
order | query | string | id | Field used for sorting. Accepted values: name, league, created_at, id |
ascending | query | boolean | true | Whether to sort in ascending order |
league | query | string | Restrict results to a single league (e.g. nba, nfl) |
Response
Section titled “Response”200 — A JSON array of team objects.
[ { "id": "t1", "name": "Los Angeles Lakers", "league": "nba", "abbreviation": "LAL", "icon": "https://..." }]curl "https://gamma.openfish.fun/teams?league=nba&limit=30"